petsc-3.7.1 2016-05-15
Report Typos and Errors

# AOCreateMemoryScalable

Creates a memory scalable application ordering using two integer arrays.

### Synopsis

    #include "petscao.h"
    PetscErrorCode AOCreateMemoryScalable(MPI_Comm comm,PetscInt napp,const PetscInt myapp[],const PetscInt mypetsc[],AO *aoout)

Collective on MPI_Comm Many br

### Input Parameters

| comm | - MPI communicator that is to share AO Many br
| napp | - size of integer arrays Many br
| myapp | - integer array that defines an ordering Many br
| mypetsc | - integer array that defines another ordering (may be NULL to Many brindicate the natural ordering, that is 0,1,2,3,...) Many br

### Output Parameter

aoout -the new application ordering Many br

Many br

Notes: The arrays myapp and mypetsc must contain the all the integers 0 to napp-1 with no duplicates; that is there cannot be any "holes" Many brin the indices. Use AOCreateMapping() or AOCreateMappingIS() if you wish to have "holes" in the indices. Many brComparing with AOCreateBasic(), this routine trades memory with message communication. Many br

### Keywords

AO, create

### See Also

AOCreateMemoryScalableIS(), AODestroy(), AOPetscToApplication(), AOApplicationToPetsc()

Level:beginner
Location:src/vec/is/ao/impls/memscalable/aomemscalable.c
Index of all AO routines
Table of Contents for all manual pages
Index of all manual pages